Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# PSDL_Scope.h File Reference

`#include "tao/corbafwd.h"`
`#include "psdl_export.h"`
`#include "tao/TAO_Singleton.h"`
`#include "ace/Hash_Map_Manager_T.h"`
`#include "ace/Array_Base.h"`
`#include "ace/SString.h"`

Include dependency graph for PSDL_Scope.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_PSDL_Scope
## Typedefs
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, TAO_PSDL_Scope *, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, TAO_SYNCH_MUTEX > | Scope_Map
typedef Scope_Map::iterator | Scope_Map_Iterator

## Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, TAO_PSDL_Scope *, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, TAO_SYNCH_MUTEX> Scope_Map

typedef Scope_Map::iterator Scope_Map_Iterator